
;(C)1998 Module-Grapher, Stuart Reeves
;graph/formula module include
;$VER: 0.9

grpmdl$="Lissajous|Epicycloid|Epitrochoid|Involute|Trochoid"

;...................................graph modules
                                    ;in form - formula, hlptxt, var setup
Macro grp_0                         ;lissajous
  !t:\x=Sin(\a*\t):\y=Sin(\b*\t)
End Macro
grp_0txt$="'Lissajous Figure' module, of the form: x=sin[at], y=sin[bt]"
Macro grp_0vars
  \x_mul=w\grpwid/3,w\grphgt/3
  \x_off=w\grpwid/10,w\grphgt/10
End Macro

Macro grp_1                         ;epicycloids
  !t:\x=(\a+\b)*Cos(\t)-\a*Cos((\t*(\a+\b))/\a)
  \y=(\a+\b)*Sin(\t)-\a*Sin((\t*(\a+\b))/\a)
End Macro
grp_1txt$="'Epicycloid' module, of the form: x=(a+b)cos[t]-a(cos[(at+bt)/a]), y=(a+b)sin[t]-a(sin[(at+bt)/a])"
Macro grp_1vars
  \x_mul=w\grpwid/30,w\grphgt/30
  \x_off=w\grpwid/2.5,w\grphgt/2.3
End Macro

Macro grp_2                         ;epitrochoids
  !t:\x=(\a+\b)*Cos(\t)-\c*Cos((\a+\b)*(\t/\a))
  \y=(\a+\b)*Sin(\t)-\c*Sin((\a+\b)*(\t/\a))
End Macro
grp_2txt$="'Epitrochoid' module, of the form: x=(a+b)cos[t]-c(cos[(at+bt)/a]), y=(a+b)sin[t]-c(sin[(at+bt)"
Macro grp_2vars
  \x_mul=w\grpwid/30,w\grphgt/30
  \x_off=w\grpwid/2.5,w\grphgt/2.3
End Macro

;Macro grp_3                         ;astroids
;  !t:\x=\a*((Cos(\t))^3):\y=\a*((Sin(\t))^3)
;End Macro
;grp_3txt$="'Astroid' module, of the form: x=a(cos^3[t]), y=a(sin^3[t])"
;Macro grp_3vars
;  \x_mul=w\grpwid/30,w\grphgt/30
;  \x_off=w\grpwid/6,w\grphgt/6
;End Macro

;Macro grp_4                         ;tractrices
;  !t:\x=\a*(\t-HTan(\t)):\y=\a*(1/HCos(\t))
;End Macro
;grp_4txt$="'Tractrice' module, of the form: x=a(t-tanh[t]), y=a(sech[t])"
;Macro grp_4vars
;  \x_mul=w\grpwid/30,w\grphgt/30
;  \x_off=w\grpwid/6,w\grphgt/6
;End Macro

Macro grp_5                         ;involutes
  !t:\x=\a*(Cos(\t)+\t*Sin(\t)):\y=\a*(Sin(\t)-\t*Cos(\t))
End Macro
grp_5txt$="'Involute' module, of the form: x=a(cos[t]+t(sin[t])), y=a(sin[t]-t(cos[t]))"
Macro grp_5vars
  \x_mul=w\grpwid/30,w\grphgt/30
  \x_off=w\grpwid/2.5,w\grphgt/2.3
End Macro

;Macro grp_6                         ;cycloids
;  !t:\x=\a*(\t-Sin(\t)):\y=\a*(1-Cos(\t))
;End Macro
;grp_6txt$="'Cycloid' module, of the form: x=a(t-sin[t]), y=a(1-cos[t])"
;Macro grp_6vars
;  \x_mul=w\grpwid/30,w\grphgt/30
;  \x_off=w\grpwid/2.5,w\grphgt/2.3
;End Macro

Macro grp_7                         ;trochoids
  !t:\x=\a*\t-\b*Sin(\t):\y=\a-\b*Cos(\t)
End Macro
grp_7txt$="'Trochoid' module, of the form: x=at-b(sin[t]), y=a-b(cos[t])"
Macro grp_7vars
  \x_mul=w\grpwid/30,w\grphgt/30
  \x_off=w\grpwid/2.5,w\grphgt/2.3
End Macro


frcmdl$="x=x^2/(x-c)|x=1/x(1-c)|x=(1-x)/cx+1|x=(x+c)(1-cx)|x=ln(x+c)|x=cx+1/c|x=x^2+cx-c"

;...................................iterative fml modules

Macro frc_0:\x=(\x*\x)/(\x-\c):End Macro
frc_0txt$="x=x^2/(x-c)"
Macro frc_0vars:\x_min=-40,40,-40,40:End Macro

Macro frc_1:\x=1/(\x*(1-\c)):End Macro
frc_1txt$="x=1/x(1-c)"
Macro frc_1vars:\x_min=-5,5,-5,5:End Macro

Macro frc_2:\x=(1-\x)/(\x*\c)+1:End Macro
frc_2txt$="x=(1-x)/cx+1"
Macro frc_2vars:\x_min=-1,1,-1,1:End Macro

Macro frc_3:\x=(\x+\c)*(1-\c*\x):End Macro
frc_3txt$="x=(x+c)(1-cx)"
Macro frc_3vars:\x_min=-8,8,-8,8:End Macro

Macro frc_4:\x=Log(\x+\c):End Macro
frc_4txt$="x=ln(x+c)"
Macro frc_4vars:\x_min=-5,5,-5,5:End Macro

Macro frc_5:\x=\c*\x+1/\c:End Macro
frc_5txt$="x=cx+1/c"
Macro frc_5vars:\x_min=-5,5,-5,5:End Macro

Macro frc_6:\x=\x*\x+\c*\x-\c:End Macro
frc_6txt$="x=x^2+cx-c"
Macro frc_6vars:\x_min=-10,10,-10,10:End Macro


